Index: tests/regression/Atoms/Mirror/post/test-mirrored.xyz
===================================================================
--- tests/regression/Atoms/Mirror/post/test-mirrored.xyz	(revision bbf6dcd010a0439f2e1a441678550e5a56e1cf30)
+++ tests/regression/Atoms/Mirror/post/test-mirrored.xyz	(revision bbf6dcd010a0439f2e1a441678550e5a56e1cf30)
@@ -0,0 +1,5 @@
+3
+	Created for regression test mirror-atoms
+H	10	0	0
+H	7	0	0
+H	2	1	0
Index: tests/regression/Atoms/Mirror/post/test.xyz
===================================================================
--- tests/regression/Atoms/Mirror/post/test.xyz	(revision bbf6dcd010a0439f2e1a441678550e5a56e1cf30)
+++ tests/regression/Atoms/Mirror/post/test.xyz	(revision bbf6dcd010a0439f2e1a441678550e5a56e1cf30)
@@ -0,0 +1,5 @@
+3
+	Created for regression test mirror-atoms
+H	0	0	0
+H	3	0	0
+H	8	1	0
Index: tests/regression/Atoms/Mirror/pre/test.xyz
===================================================================
--- tests/regression/Atoms/Mirror/pre/test.xyz	(revision bbf6dcd010a0439f2e1a441678550e5a56e1cf30)
+++ tests/regression/Atoms/Mirror/pre/test.xyz	(revision bbf6dcd010a0439f2e1a441678550e5a56e1cf30)
@@ -0,0 +1,5 @@
+3
+	Created for regression test mirror-atoms
+H	0	0	0
+H	3	0	0
+H	8	1	0
Index: tests/regression/Atoms/Mirror/testsuite-atoms-mirror.at
===================================================================
--- tests/regression/Atoms/Mirror/testsuite-atoms-mirror.at	(revision bbf6dcd010a0439f2e1a441678550e5a56e1cf30)
+++ tests/regression/Atoms/Mirror/testsuite-atoms-mirror.at	(revision bbf6dcd010a0439f2e1a441678550e5a56e1cf30)
@@ -0,0 +1,53 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### translation
+
+AT_SETUP([Atoms - Mirror])
+AT_KEYWORDS([atoms mirror-atoms])
+
+file=test.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Atoms/Mirror/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file --select-all-atoms --mirror-atoms "1,0,0" --plane-offset 5.], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created .*' $file ${abs_top_srcdir}/tests/regression/Atoms/Mirror/post/test-mirrored.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Atoms - Mirror with Undo])
+AT_KEYWORDS([atoms mirror-atoms undo])
+
+file=test.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Atoms/Mirror/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file --select-all-atoms --mirror-atoms "1,0,0" --plane-offset 5. --undo], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created .*' $file ${abs_top_srcdir}/tests/regression/Atoms/Mirror/pre/test.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Atoms - Mirror with Redo])
+AT_KEYWORDS([atoms mirror-atoms redo])
+
+file=test.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Atoms/Mirror/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file --select-all-atoms --mirror-atoms "1,0,0" --plane-offset 5. --undo --redo], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created .*' $file ${abs_top_srcdir}/tests/regression/Atoms/Mirror/post/test-mirrored.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Atoms/testsuite-atoms.at
===================================================================
--- tests/regression/Atoms/testsuite-atoms.at	(revision 5200294b51370a326ff7b6b894366ab63dd343f1)
+++ tests/regression/Atoms/testsuite-atoms.at	(revision bbf6dcd010a0439f2e1a441678550e5a56e1cf30)
@@ -38,2 +38,5 @@
 # Undo and redo a translation
 m4_include([Atoms/Translation/testsuite-atoms-translation.at])
+
+# mirror atoms
+m4_include([Atoms/Mirror/testsuite-atoms-mirror.at])
